3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception(); } catch (Exception $e) { throw $e; }
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Exception in /in/ZdLmK:3 Stack trace: #0 {main} thrown in /in/ZdLmK on line 3
Process exited with code 255.
Output for 5.3.28 - 5.3.29, 5.4.18 - 5.6.28
Fatal error: Uncaught exception 'Exception' in /in/ZdLmK:3 Stack trace: #0 {main} thrown in /in/ZdLmK on line 3
Process exited with code 255.
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.3.27, 5.4.0 - 5.4.17
Fatal error: Uncaught exception 'Exception' in /in/Jo3XB:3 Stack trace: #0 {main} thrown in /in/Jo3XB on line 3
Process exited with code 255.
Output for 5.0.3 - 5.0.4
Fatal error: Uncaught exception 'Exception' in /in/Jo3XB:3 Stack trace: #0 /in/Jo3XB(3): unknown() #1 {main} thrown in /in/Jo3XB on line 3
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/Jo3XB on line 2
Process exited with code 255.
Output for 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/Jo3XB on line 2
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/Jo3XB on line 2
Process exited with code 255.
Output for 4.3.0
Parse error: parse error, unexpected '{' in /in/ZdLmK on line 2
Process exited with code 255.